Get a community detail

get

/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeCommunityDetails/{EmployeeCommunityId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : communicateUIEmployeeCommunityDetails-item-response
Type: object
Show Source
  • Candidate Attachments
    Title: Candidate Attachments
    The attachments resource provides information about files attached to the interview.
  • Categories
    Title: Categories
    The categories resource provides access to employee community categories.
  • Title: Channel Link
    Maximum Length: 2048
    URL of the communication channel for the employee community.
  • Read Only: true
    Maximum Length: 255
    Name of the community owner associated with the employee community details.
  • Title: Status
    Maximum Length: 30
    Default Value: ORA_DRAFT
    Indicates the status of the employee's community membership. Valid values are Active and Inactive. Default is Inactive.
  • Read Only: true
    Maximum Length: 64
    Indicates who created the employee community details record. This field is read-only and automatically populated when the record is created.
  • Title: Created On
    Read Only: true
    Creation date of the employee community details record.
  • Title: Description
    Description of the employee community details. This field provides a brief overview of the community.
  • Last modified date of the employee community details. This date indicates when the community information was most recently updated.
  • Unique identifier for the employee community.
  • Maximum Length: 64
    Unique identifier for the employee community. This number distinguishes each community record in the system.
  • Read Only: true
    Last updated date for the employee community details.
  • Read Only: true
    Maximum Length: 64
    Last updated by information for the employee community details.
  • Read Only: true
    Maximum Length: 32
    Last update login identifier for the employee community details. This value tracks the login ID used during the last update of the record.
  • Links
  • Members
    Title: Members
    The members resource provides details about employee community members.
  • Title: Members
    Read Only: true
    Number of members in the employee community.
  • Title: Name
    Maximum Length: 240
    Name of the employee community. This field identifies the specific community associated with the employee.
  • Maximum Length: 30
    Default Value: ORA_ACTIVE
    Indicates the current status of the employee community object. Valid values are Active and Inactive. Default is Inactive.
  • Unique identifier for the version of the employee community details record. This value helps in tracking changes to the record.
  • Posts
    Title: Posts
    The posts resource provides access to employee community posts.
  • Maximum Length: 30
    Default Value: ORA_PUBLIC
    Indicates the visibility setting for the employee community details. Valid values are Public and Private. Default is Private.
Nested Schema : Candidate Attachments
Type: array
Title: Candidate Attachments
The attachments resource provides information about files attached to the interview.
Show Source
Nested Schema : Categories
Type: array
Title: Categories
The categories resource provides access to employee community categories.
Show Source
Nested Schema : Members
Type: array
Title: Members
The members resource provides details about employee community members.
Show Source
Nested Schema : Posts
Type: array
Title: Posts
The posts resource provides access to employee community posts.
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-attachments-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-categories-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-members-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-item-response
Type: object
Show Source
Nested Schema : Candidate Attachments
Type: array
Title: Candidate Attachments
The attachments resource provides information about files attached to the interview.
Show Source
Nested Schema : Post Action Metrics
Type: array
Title: Post Action Metrics
The EmpCmtPostActionTkUI resource provides details about employee community post actions.
Show Source
Nested Schema : Post Mentions
Type: array
Title: Post Mentions
The postMentions resource provides details about mentions in employee community posts.
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-attachments-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-postActionTracking-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeCommunityDetails-posts-postMentions-item-response
Type: object
Show Source
Back to Top